%global debug_package %nil

Summary: Qt Solutions
Name: libqtsolutions
Obsoletes: parallels-virtualization-open-sdk, parallels-virtualization-sdk
Version: 2.6
Release: 2%{?dist}.2

Group: Development/Libraries
License: BSD
URL: https://qt.gitorious.org/qt-solutions
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: qt4-devel
BuildRequires: qt4
ExclusiveArch: x86_64


%description
Qt Solutions product, a collection of minor Qt add-ons and former Qt modules.

%package devel
Summary: Libraries, includes to compile with the Qt Solutions library
Group: Development/Libraries
Requires: %{name}
Requires: pkgconfig

%description devel
Include header files & development Qt Solutions libraries.


%prep
%setup -q


%build
export PATH="$PATH:/usr/lib64/qt4/bin"
qmake-qt4
%make_build CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}"


%install
rm -rf %{buildroot}

%{__mkdir}  -p %{buildroot}/%{_libdir}

install -m 0755 qtservice/libqtservice.a %{buildroot}/%{_libdir}
install -m 0755 qtsingleapplication/libqtsingleapplication.a %{buildroot}/%{_libdir}

%{__mkdir}  -p %{buildroot}/%{_includedir}
install -m 644 qtservice/qtservice.h %{buildroot}/%{_includedir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/libqt*

%doc

%files devel
%defattr(-, root, root)

%{_includedir}/qtservice.h

%changelog
* Wed Mar 4 2015 Dmitry Mishin <dim@parallels.com> - 2.6
- Initial public revision
